AGStatement (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.jena, class: AGStatement

Package com.franz.agraph.jena

# Class AGStatement

java.lang.Object
org.apache.jena.rdf.model.impl.StatementBase
org.apache.jena.rdf.model.impl.StatementImpl
com.franz.agraph.jena.AGStatement

All Implemented Interfaces:
  `FrontsTriple`, `Statement`

public class AGStatement extends StatementImpl

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGStatement(Resource subject, Property predicate, RDFNode object)`
  `AGStatement(Resource subject, Property predicate, RDFNode object, AGModel model)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AGModel`
  `getModel()`
  `static Statement`
  `toStatement(Triple t, AGModel eg)`
  create a Statement from the triple `t` in the enhanced graph `eg`.

  ### Methods inherited from class org.apache.jena.rdf.model.impl.StatementImpl

  `asTriple, asTriples, createObject, equals, getAlt, getBag, getList, getLiteral, getObject, getPredicate, getProperty, getResource, getSeq, getStatementProperty, getSubject, hashCode, remove, toStatement`

  ### Methods inherited from class org.apache.jena.rdf.model.impl.StatementBase

  `changeLiteralObject, changeLiteralObject, changeLiteralObject, changeLiteralObject, changeLiteralObject, changeLiteralObject, changeObject, changeObject, changeObject, getBoolean, getByte, getChar, getDouble, getFloat, getInt, getLanguage, getLong, getShort, getString, toString`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.jena.rdf.model.Statement

  `changeLiteralObject, changeLiteralObject, changeLiteralObject, changeLiteralObject, changeLiteralObject, changeLiteralObject, changeObject, changeObject, changeObject, getBoolean, getByte, getChar, getDouble, getFloat, getInt, getLanguage, getLong, getShort, getString`

- ## Constructor Details

  - ### AGStatement

    public AGStatement(Resource subject, Property predicate, RDFNode object)

  - ### AGStatement

    public AGStatement(Resource subject, Property predicate, RDFNode object, AGModel model)

- ## Method Details

  - ### toStatement

    public static Statement toStatement(Triple t, AGModel eg)
    create a Statement from the triple `t` in the enhanced graph `eg`. The Statement has subject, predicate, and object corresponding to those of `t`.
    Parameters:
      `t` - the triple to build into a Statement
      `eg` - the Graph in which the Statement will be created
    Returns:
      Statement the statement created

  - ### getModel

    public AGModel getModel()
    Specified by:
      `getModel` in interface `Statement`
    Overrides:
      `getModel` in class `StatementBase`